MacroParseException (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.directive.MacroParseException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.directive
Class MacroParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.velocity.runtime.parser.ParseException
                  org.apache.velocity.runtime.directive.MacroParseException

All Implemented Interfaces:
  java.io.Serializable

public class MacroParseException
extends ParseException

Exception to indicate problem happened while constructing #macro() For internal use in parser - not to be passed to app level

Version:
  $Id: MacroParseException.java,v 1.1.4.1 2004/03/03 23:22:56 geirm Exp $
Author:
  Geir Magnusson Jr.
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.ParseException
`currentToken, eol, expectedTokenSequences, specialConstructor, tokenImage`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`MacroParseException(java.lang.String msg)`

Methods inherited from class org.apache.velocity.runtime.parser.ParseException
`add_escapes, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MacroParseException

    public MacroParseException(java.lang.String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.